Organization roles
GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
results
array of object
obligatorio
List of roles.
Mostrar atributos secundarios
results.accessKeysDependencyCount
integer
obligatorio
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
Mostrar atributos secundarios
results.actions.name
string
obligatorio
The name of the action.
results.actions.type
string
obligatorio
The type that the action belongs to.
results.createdAt
string
obligatorio
When this role was created.
results.description
string
Role description.
results.id
string
obligatorio
ID of the role.
results.metadata
object
Metadata for the IAM Role.
Mostrar atributos secundarios
results.metadata.clouds
array of string
results.name
string
obligatorio
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
obligatorio
IAM Policies this role contains.
Mostrar atributos secundarios
The IAM policy record.
results.policies.createdAt
string
obligatorio
When the IAM Policy was created.
results.policies.definitions
array of object
obligatorio
List of IAM Policy definitions.
Mostrar atributos secundarios
results.policies.definitions.actions
array of string
obligatorio
A list of actions
results.policies.definitions.conditionsAll
array of object
Mostrar atributos secundarios
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
obligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
obligatorio
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
obligatorio
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
Mostrar atributos secundarios
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
obligatorio
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
obligatorio
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
obligatorio
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.policies.id
string
obligatorio
ID of the IAM Policy.
results.policies.type
string
obligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.type
string
obligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
obligatorio
When this role was last updated.
results.usersDependencyCount
integer
obligatorio
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
Cuerpo de la solicitud
name
string
obligatorio
Role name.
description
string
Role description.
policies
array of object
obligatorio
IAM Policies this role contains.
Mostrar parámetros secundarios
policies.id
string
obligatorio
ID of the IAM Policy.
policies.type
string
obligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
Cuerpo de la respuesta
accessKeysDependencyCount
integer
obligatorio
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Mostrar atributos secundarios
actions.name
string
obligatorio
The name of the action.
actions.type
string
obligatorio
The type that the action belongs to.
createdAt
string
obligatorio
When this role was created.
description
string
Role description.
id
string
obligatorio
ID of the role.
metadata
object
Metadata for the IAM Role.
Mostrar atributos secundarios
metadata.clouds
array of string
name
string
obligatorio
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obligatorio
IAM Policies this role contains.
Mostrar atributos secundarios
The IAM policy record.
policies.createdAt
string
obligatorio
When the IAM Policy was created.
policies.definitions
array of object
obligatorio
List of IAM Policy definitions.
Mostrar atributos secundarios
policies.definitions.actions
array of string
obligatorio
A list of actions
policies.definitions.conditionsAll
array of object
Mostrar atributos secundarios
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obligatorio
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obligatorio
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Mostrar atributos secundarios
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obligatorio
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obligatorio
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obligatorio
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obligatorio
ID of the IAM Policy.
policies.type
string
obligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obligatorio
When this role was last updated.
usersDependencyCount
integer
obligatorio
The number of users this role is assigned to.
Ejemplo de código
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
Cuerpo de la respuesta
accessKeysDependencyCount
integer
obligatorio
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Mostrar atributos secundarios
actions.name
string
obligatorio
The name of the action.
actions.type
string
obligatorio
The type that the action belongs to.
createdAt
string
obligatorio
When this role was created.
description
string
Role description.
id
string
obligatorio
ID of the role.
metadata
object
Metadata for the IAM Role.
Mostrar atributos secundarios
metadata.clouds
array of string
name
string
obligatorio
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obligatorio
IAM Policies this role contains.
Mostrar atributos secundarios
The IAM policy record.
policies.createdAt
string
obligatorio
When the IAM Policy was created.
policies.definitions
array of object
obligatorio
List of IAM Policy definitions.
Mostrar atributos secundarios
policies.definitions.actions
array of string
obligatorio
A list of actions
policies.definitions.conditionsAll
array of object
Mostrar atributos secundarios
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obligatorio
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obligatorio
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Mostrar atributos secundarios
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obligatorio
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obligatorio
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obligatorio
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obligatorio
ID of the IAM Policy.
policies.type
string
obligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obligatorio
When this role was last updated.
usersDependencyCount
integer
obligatorio
The number of users this role is assigned to.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
Cuerpo de la solicitud
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
Mostrar parámetros secundarios
policies.id
string
obligatorio
ID of the IAM Policy.
policies.type
string
obligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
Mostrar parámetros secundarios
actions.name
string
obligatorio
The name of the action.
actions.type
string
obligatorio
The type that the action belongs to.
Cuerpo de la respuesta
accessKeysDependencyCount
integer
obligatorio
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Mostrar atributos secundarios
actions.name
string
obligatorio
The name of the action.
actions.type
string
obligatorio
The type that the action belongs to.
createdAt
string
obligatorio
When this role was created.
description
string
Role description.
id
string
obligatorio
ID of the role.
metadata
object
Metadata for the IAM Role.
Mostrar atributos secundarios
metadata.clouds
array of string
name
string
obligatorio
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obligatorio
IAM Policies this role contains.
Mostrar atributos secundarios
The IAM policy record.
policies.createdAt
string
obligatorio
When the IAM Policy was created.
policies.definitions
array of object
obligatorio
List of IAM Policy definitions.
Mostrar atributos secundarios
policies.definitions.actions
array of string
obligatorio
A list of actions
policies.definitions.conditionsAll
array of object
Mostrar atributos secundarios
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obligatorio
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obligatorio
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obligatorio
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Mostrar atributos secundarios
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obligatorio
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obligatorio
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obligatorio
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obligatorio
ID of the IAM Policy.
policies.type
string
obligatorio
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obligatorio
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obligatorio
When this role was last updated.
usersDependencyCount
integer
obligatorio
The number of users this role is assigned to.
Ejemplo de código
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'